package universum.bi;

/**
 *
 * @author nike
 */
public final class Location {
    private final int x, y;
        
    public Location(int x, int y) {     
        //Constants.checkPerms();
        this.x = x;
        this.y = y;
    }
    
    public int getX() {
        return x;
    }
    public int getY() {
        return y;
    }
    
    public boolean equals(Object other) {
        if (other == null || !(other instanceof Location)) {
            return false;
        }
        Location loc = (Location)other;
        return loc.getX() == x && loc.getY() == y;
    }
    
    public int hashCode() {
        return x << 16 | y;
    }

    public String toString() {
        return "["+x+","+y+"]";
    }       
}
